Favicon

You are here: Home > API Reference > Apple > Apple Devices Notifications > Notify admDevice

POST /organizations/:organizationId/mdm/apple/enterprise/devices/:admDeviceId/notifications

Required Permission: mdm.apple.deviceNotification.action

Notify admDevice

POST
https://api.applivery.io/v1/organizations/{organizationId}/mdm/apple/enterprise/devices/{admDeviceId}/notifications
curl -X POST "https://api.applivery.io/v1/organizations/{organizationId}/mdm/apple/enterprise/devices/{admDeviceId}/notifications" \
  -H "Authorization: Bearer <YOUR_API_KEY>" \
  -H "Content-Type: application/json" \
  -d '{
  "appName": "mdmAgent",
  "action": "refresh"
}'
const response = await fetch("https://api.applivery.io/v1/organizations/{organizationId}/mdm/apple/enterprise/devices/{admDeviceId}/notifications", {
  method: "POST",
  headers: {
    Authorization: "Bearer <YOUR_API_KEY>",
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    "appName": "mdmAgent",
    "action": "refresh"
  }),
});

const data = await response.json();
import requests

response = requests.post(
    "https://api.applivery.io/v1/organizations/{organizationId}/mdm/apple/enterprise/devices/{admDeviceId}/notifications",
    headers={"Authorization": "Bearer <YOUR_API_KEY>"},
    json={
      "appName": "mdmAgent",
      "action": "refresh"
    },
)

data = response.json()

Request

Send your API key in the request header authorization
Example: Authorization: Bearer <token>

organizationId string
required
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$
admDeviceId string
required
Match pattern: ^[a-fA-F0-9]{24}$

Body Params application/json
appName string required
mdmAgent
action string required
refresh sendLogs
{
    "appName": "mdmAgent",
    "action": "refresh"
}

Responses

200 Response application/json
status boolean optional
data object optional
status string required
done
action string optional
refresh sendLogs
appName string optional
mdmAgent
{
    "status": true,
    "data": {
        "status": "done",
        "action": "refresh",
        "appName": "mdmAgent"
    }
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4004
message string optional
Invalid Token
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}